View Issue Details

IDProjectCategoryView StatusLast Update
0000284SOGoWeb Mailpublic2012-03-16 15:02
Reportertokul Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versionnightly v2 
Fixed in Version1.2.0 
Summary0000284: Broken Baltic charsets
Description

If email has both text and html parts, webmail displays html part and fails to display windows-1257 and iso-8859-13 charsets correctly. I suspect that some Western charset table is used. Thunderbird 2.0.23 displays same emails correctly. If you need, I can provide sample emails.

Tested 1.1.0 and 1.1.0.20091213 debian nightly from inverse.ca

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2009-12-14 09:29

viewer   ~0000342

Hi,

Yes, some test messages would be useful.

2009-12-14 09:49

 

baltic.tar.gz (153,380 bytes)
tokul

tokul

2009-12-14 09:53

reporter   ~0000343

Attached baltic.tar.gz with sample iso-8859-13/iso-8859-4/windows-1257 emails and iso-8859-4/windows-1257 rendering images. iso-8859-4 display is correct one.

tokul

tokul

2009-12-14 16:29

reporter   ~0000345

One more note. If email is only text/plain, windows-1257 is displayed correctly. Used browser - Mozilla Firefox 3.5.5 and 3.0.6

ludovic

ludovic

2009-12-14 21:19

administrator   ~0000346

Fixed with http://mtn.inverse.ca/revision/diff/107bfcafb94e725ae14c9e2bceacbf8399ae6958/with/80091501b42618d93c33de4da16ce798fd5915f3

tokul

tokul

2009-12-21 02:51

reporter   ~0000366

Last edited: 2009-12-21 02:52

Which debian nightly version should be fixed?

sogo - 1.1.0.20091218
libsope-appserver4.9 - 4.9.r1660-20091218
libsope-core4.9 - 4.9.r1660-20091218
libsope-gdl1-4.9 - 4.9.r1660-20091218
libsope-ldap4.9 - 4.9.r1660-20091218
libsope-mime4.9 - 4.9.r1660-20091218
libsope-xml4.9 - 4.9.r1660-20091218
sope4.9-gdl1-postgresql - 4.9.r1660-20091218
sope4.9-libxmlsaxdriver - 4.9.r1660-20091218

same test emails and other iso-8859-13 html emails are not displayed. They were broken in older version and now it is only white page.

ludovic

ludovic

2009-12-23 16:23

administrator   ~0000380

It works for me with both GNUstep 1.16 and 1.19 with the current code and your messages.

Which version of GNUstep are you using? Also, show us your .GNUstepDefaults.

2009-12-23 16:43

 

GNUstepDefaults.txt (1,438 bytes)   
{
    NSGlobalDomain = {
    };
    sogod = {
	GCSFolderDebugEnabled = YES;
	GCSFolderStoreDebugEnabled = YES;
	NGImap4DisableIMAP4Pooling = YES;
	NGUseUTF8AsURLEncoding = YES;
	OCSFolderInfoURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_folder_info";
	OCSFolderManagerSQLDebugEnabled = YES;
	PGDebugEnabled = YES;
	SOGoACLsSendEMailNotifications = YES;
	SOGoAppointmentSendEMailNotifications = YES;
	SOGoAuthenticationMethod = LDAP;
	SOGoDraftsFolderName = INBOX.Drafts;
	SOGoFoldersSendEMailNotifications = YES;
	SOGoIMAPServer = mail.example.org;
	SOGoLanguage = English;
	SOGoMailDomain = example.org;
	SOGoMailingMechanism = smtp;
	SOGoProfileURL = "postgresql://sogo:sogo@localhost:5432/sogo/sogo_user_profile";
	SOGoSMTPServer = mail.example.org;
	SOGoSentFolderName = INBOX.Sent;
	SOGoTimeZone = Europe/Vilnius;
	SOGoTrashFolderName = INBOX.Trash;
	SOGoUserSources = (
	    {
		CNFieldName = cn;
		IDFieldName = uid;
		UIDFieldName = uid;
		baseDN = "ou=mail,dc=example,dc=org";
		bindDN = "uid=sogo,dc=example,dc=org";
		bindFields = uid;
		bindPassword = ***********;
		canAuthenticate = YES;
		displayName = Contacts;
		hostname = mail.example.org;
		id = public;
		isAddressBook = YES;
		port = 389;
		scope = SUB;
	    }
	);
	SoSecurityManagerDebugEnabled = YES;
	WODebugZipResponse = YES;
	WODontZipResponse = YES;
	WOMessageUseUTF8 = YES;
	WOParsersUseUTF8 = YES;
	WOPort = 20000;
	WOUseRelativeURLs = YES;
    };
}
GNUstepDefaults.txt (1,438 bytes)   

2009-12-23 16:43

 

packages.txt (26,312 bytes)   
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                              Version                  Description
+++-=================================-========================-==============================================================
ii  acpi-support-base                 0.109-11                 scripts for handling base ACPI events such as the power button
ii  acpid                             1.0.8-1lenny1            Utilities for using ACPI power management
ii  adduser                           3.110                    add and remove users and groups
ii  apache2-mpm-prefork               2.2.9-10+lenny6          Apache HTTP Server - traditional non-threaded model
ii  apache2-utils                     2.2.9-10+lenny6          utility programs for webservers
ii  apache2.2-common                  2.2.9-10+lenny6          Apache HTTP Server common files
ii  apt                               0.7.20.2+lenny1          Advanced front-end for dpkg
ii  apt-utils                         0.7.20.2+lenny1          APT utility programs
ii  aptitude                          0.4.11.11-1~lenny1       terminal-based package manager
ii  autotools-dev                     20080123.1               Update infrastructure for config.{guess,sub} files
ii  avahi-daemon                      0.6.23-3lenny1           Avahi mDNS/DNS-SD daemon
ii  base-files                        5lenny4                  Debian base system miscellaneous files
ii  base-passwd                       3.5.20                   Debian base system master password and group files
ii  bash                              3.2-4                    The GNU Bourne Again SHell
ii  bind9-host                        1:9.5.1.dfsg.P3-1        Version of 'host' bundled with BIND 9.X
ii  bsdmainutils                      6.1.10                   collection of more utilities from FreeBSD
ii  bsdutils                          1:2.13.1.1-1             Basic utilities from 4.4BSD-Lite
ii  busybox                           1:1.10.2-2               Tiny utilities for small and embedded systems
ii  bzip2                             1.0.5-1                  high-quality block-sorting file compressor - utilities
ii  console-common                    0.7.80                   basic infrastructure for text console configuration
ii  console-data                      2:1.07-11                keymaps, fonts, charset maps, fallback tables for console-tool
ii  console-tools                     1:0.2.3dbs-65.1          Linux console and font utilities
ii  coreutils                         6.10-6                   The GNU core utilities
ii  cpio                              2.9-13                   GNU cpio -- a program to manage archives of files
ii  cron                              3.0pl1-105               management of regular background processing
ii  dbus                              1.2.1-5+lenny1           simple interprocess messaging system
ii  dbus-x11                          1.2.1-5+lenny1           simple interprocess messaging system (X11 deps)
ii  debconf                           1.5.24                   Debian configuration management system
ii  debconf-i18n                      1.5.24                   full internationalization support for debconf
ii  debian-archive-keyring            2009.01.31               GnuPG archive keys of the Debian archive
ii  debianutils                       2.30                     Miscellaneous utilities specific to Debian
ii  dhcp3-client                      3.1.1-6+lenny3           DHCP client
ii  dhcp3-common                      3.1.1-6+lenny3           common files used by all the dhcp3* packages
ii  diff                              2.8.1-12                 File comparison utilities
ii  dmidecode                         2.9-1                    Dump Desktop Management Interface data
ii  dpkg                              1.14.25                  Debian package management system
ii  dselect                           1.14.25                  Debian package management front-end
ii  e2fslibs                          1.41.3-1                 ext2 filesystem libraries
ii  e2fsprogs                         1.41.3-1                 ext2/ext3/ext4 file system utilities
ii  ed                                0.7-3                    The classic unix line editor
ii  eject                             2.1.5+deb1-4             ejects CDs and operates CD-Changers under Linux
ii  fail2ban                          0.8.3-2sid1              bans IPs that cause multiple authentication errors
ii  file                              4.26-1                   Determines file type using "magic" numbers
ii  findutils                         4.4.0-2                  utilities for finding files--find, xargs
ii  gcc-4.2-base                      4.2.4-6                  The GNU Compiler Collection (base package)
ii  gcc-4.3-base                      4.3.2-1.1                The GNU Compiler Collection (base package)
ii  gnupg                             1.4.9-3+lenny1           GNU privacy guard - a free PGP replacement
ii  gnustep-base-common               1.16.1-2lenny1           GNUstep Base library - common files
ii  gnustep-base-runtime              1.16.1-2lenny1           GNUstep Base library
ii  gnustep-common                    2.0.6-2                  Common files for the core GNUstep environment
ii  gnustep-make                      2.0.6-2                  Basic GNUstep Makefiles
ii  gpgv                              1.4.9-3+lenny1           GNU privacy guard - signature verification tool
ii  grep                              2.5.3~dfsg-6             GNU grep, egrep and fgrep
ii  groff-base                        1.18.1.1-21              GNU troff text-formatting system (base system components)
ii  grub                              0.97-47lenny2            GRand Unified Bootloader (Legacy version)
ii  grub-common                       1.96+20080724-16         GRand Unified Bootloader, version 2 (common files)
ii  gzip                              1.3.12-6                 The GNU compression utility
ii  hostname                          2.95                     utility to set/show the host name or domain name
ii  ifupdown                          0.6.8+nmu1               high level tools to configure network interfaces
ii  info                              4.11.dfsg.1-4            Standalone GNU Info documentation browser
ii  initramfs-tools                   0.92o                    tools for generating an initramfs
ii  initscripts                       2.86.ds1-61              Scripts for initializing and shutting down the system
ii  installation-report               2.38                     system installation report
ii  iproute                           20080725-2               networking and traffic control tools
ii  iptables                          1.4.2-6                  administration tools for packet filtering and NAT
ii  iputils-ping                      3:20071127-1             Tools to test the reachability of network hosts
ii  klibc-utils                       1.5.12-2                 small utilities built with klibc for early boot
ii  laptop-detect                     0.13.6                   attempt to detect a laptop
ii  libacl1                           2.2.47-2                 Access control list shared library
ii  libapache2-mod-php5               5.2.6.dfsg.1-1+lenny4    server-side, HTML-embedded scripting language (Apache 2 module
ii  libapr1                           1.2.12-5+lenny1          The Apache Portable Runtime Library
ii  libaprutil1                       1.2.12+dfsg-8+lenny4     The Apache Portable Runtime Utility Library
ii  libattr1                          1:2.4.43-2               Extended attribute shared library
ii  libavahi-client3                  0.6.23-3lenny1           Avahi client library
ii  libavahi-common-data              0.6.23-3lenny1           Avahi common data files
ii  libavahi-common3                  0.6.23-3lenny1           Avahi common library
ii  libavahi-compat-libdnssd1         0.6.23-3lenny1           Avahi Apple Bonjour compatibility library
ii  libavahi-core5                    0.6.23-3lenny1           Avahi's embeddable mDNS/DNS-SD library
ii  libbind9-40                       1:9.5.1.dfsg.P3-1        BIND9 Shared Library used by BIND
ii  libblkid1                         1.41.3-1                 block device id library
ii  libbz2-1.0                        1.0.5-1                  high-quality block-sorting file compressor library - runtime
ii  libc6                             2.7-18                   GNU C Library: Shared libraries
ii  libc6-i686                        2.7-18                   GNU C Library: Shared libraries [i686 optimized]
ii  libcap2                           2.11-2                   support for getting/setting POSIX.1e capabilities
ii  libcomerr2                        1.41.3-1                 common error description library
ii  libconsole                        1:0.2.3dbs-65.1          Shared libraries for Linux console and font manipulation
ii  libcwidget3                       0.5.12-4                 high-level terminal interface library for C++ (runtime files)
ii  libdaemon0                        0.12-2lenny1             lightweight C library for daemons - runtime library
ii  libdb4.5                          4.5.20-13                Berkeley v4.5 Database Libraries [runtime]
ii  libdb4.6                          4.6.21-11                Berkeley v4.6 Database Libraries [runtime]
ii  libdbus-1-3                       1.2.1-5+lenny1           simple interprocess messaging system
ii  libdevmapper1.02.1                2:1.02.27-4              The Linux Kernel Device Mapper userspace library
ii  libdns45                          1:9.5.1.dfsg.P3-1        DNS Shared Library used by BIND
ii  libedit2                          2.11~20080614-1          BSD editline and history libraries
ii  libept0                           0.5.22                   High-level library for managing Debian package information
ii  libevent1                         1.3e-3                   An asynchronous event notification library
ii  libexpat1                         2.0.1-4+lenny2           XML parsing C library - runtime library
ii  libffcall1                        1.10+2.41-3              Foreign Function Call Libraries
ii  libgcc1                           1:4.3.2-1.1              GCC support library
ii  libgcrypt11                       1.4.1-1                  LGPL Crypto library - runtime library
ii  libgdbm3                          1.8.3-3                  GNU dbm database routines (runtime version)
ii  libglib2.0-0                      2.16.6-2                 The GLib library of C routines
ii  libglib2.0-data                   2.16.6-2                 Common files for GLib library
ii  libgnustep-base1.16               1.16.1-2lenny1           GNUstep Base library
ii  libgnutls26                       2.4.2-6+lenny2           the GNU TLS library - runtime library
ii  libgpg-error0                     1.4-2                    library for common error values and messages in GnuPG componen
ii  libgpm2                           1.20.4-3.1               General Purpose Mouse - shared library
ii  libidn11                          1.8+20080606-1           GNU libidn library, implementation of IETF IDN specifications
ii  libisc45                          1:9.5.1.dfsg.P3-1        ISC Shared Library used by BIND
ii  libisccc40                        1:9.5.1.dfsg.P3-1        Command Channel Library used by BIND
ii  libisccfg40                       1:9.5.1.dfsg.P3-1        Config File Handling Library used by BIND
ii  libkeyutils1                      1.2-9                    Linux Key Management Utilities (library)
ii  libklibc                          1.5.12-2                 minimal libc subset for use with initramfs
ii  libkrb53                          1.6.dfsg.4~beta1-5lenny1 MIT Kerberos runtime libraries
ii  libldap-2.4-2                     2.4.11-1+lenny1          OpenLDAP libraries
ii  liblocale-gettext-perl            1.05-4                   Using libc functions for internationalization in Perl
ii  liblwres40                        1:9.5.1.dfsg.P3-1        Lightweight Resolver Library used by BIND
ii  libmagic1                         4.26-1                   File type determination library using "magic" numbers
ii  libmemcached2                     0.31-1                   A C and C++ client library to the memcached server
ii  libmysqlclient15off               5.0.51a-24+lenny2        MySQL database client library
ii  libncurses5                       5.7+20081213-1           shared libraries for terminal handling
ii  libncursesw5                      5.7+20081213-1           shared libraries for terminal handling (wide character support
ii  libnewt0.52                       0.52.2-11.3+lenny1       Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnss-mdns                       0.10-3                   NSS module for Multicast DNS name resolution
ii  libobjc2                          4.3.2-1.1                Runtime library for GNU Objective-C applications
ii  libpam-modules                    1.0.1-5+lenny1           Pluggable Authentication Modules for PAM
ii  libpam-runtime                    1.0.1-5+lenny1           Runtime support for the PAM library
ii  libpam0g                          1.0.1-5+lenny1           Pluggable Authentication Modules library
ii  libpcre3                          7.6-2.1                  Perl 5 Compatible Regular Expression Library - runtime files
ii  libpopt0                          1.14-4                   lib for parsing cmdline parameters
ii  libpq5                            8.3.8-0lenny1            PostgreSQL C client library
ii  libreadline5                      5.2-3.1                  GNU readline and history libraries, run-time libraries
ii  libsasl2-2                        2.1.22.dfsg1-23+lenny1   Cyrus SASL - authentication abstraction library
ii  libselinux1                       2.0.65-5                 SELinux shared libraries
ii  libsepol1                         2.0.30-2                 Security Enhanced Linux policy library for changing policy bin
ii  libsigc++-2.0-0c2a                2.0.18-2                 type-safe Signal Framework for C++ - runtime
ii  libslang2                         2.1.3-3                  The S-Lang programming library - runtime version
ii  libsope-appserver4.9              4.9.r1660-20091218       SOPE application server libraries
ii  libsope-core4.9                   4.9.r1660-20091218       Core libraries of the SOPE application server
ii  libsope-gdl1-4.9                  4.9.r1660-20091218       GNUstep database libraries for SOPE
ii  libsope-ldap4.9                   4.9.r1660-20091218       SOPE libraries for LDAP access
ii  libsope-mime4.9                   4.9.r1660-20091218       SOPE libraries for MIME processing
ii  libsope-xml4.9                    4.9.r1660-20091218       SOPE libraries for XML processing
ii  libsqlite3-0                      3.5.9-6                  SQLite 3 shared library
ii  libss2                            1.41.3-1                 command-line interface parsing library
ii  libssl0.9.8                       0.9.8g-15+lenny5         SSL shared libraries
ii  libstdc++6                        4.3.2-1.1                The GNU Standard C++ Library v3
ii  libtasn1-3                        1.4-1                    Manage ASN.1 structures (runtime)
ii  libtext-charwidth-perl            0.04-5+b1                get display widths of characters on the terminal
ii  libtext-iconv-perl                1.7-1+b1                 converts between character sets in Perl
ii  libtext-wrapi18n-perl             0.06-6                   internationalized substitute of Text::Wrap
ii  libusb-0.1-4                      2:0.1.12-13              userspace USB programming library
ii  libuuid1                          1.41.3-1                 universally unique id library
ii  libvolume-id0                     0.125-7+lenny3           libvolume_id shared library
ii  libwrap0                          7.6.q-16                 Wietse Venema's TCP wrappers library
ii  libx11-6                          2:1.1.5-2                X11 client-side library
ii  libx11-data                       2:1.1.5-2                X11 client-side library
ii  libxapian15                       1.0.7-4                  Search engine library
ii  libxau6                           1:1.0.3-3                X11 authorisation library
ii  libxcb-xlib0                      1.1-1.2                  X C Binding, Xlib/XCB interface library
ii  libxcb1                           1.1-1.2                  X C Binding
ii  libxdmcp6                         1:1.0.2-3                X11 Display Manager Control Protocol library
ii  libxext6                          2:1.0.4-1                X11 miscellaneous extension library
ii  libxml2                           2.6.32.dfsg-5+lenny1     GNOME XML library
ii  libxmuu1                          2:1.0.4-1                X11 miscellaneous micro-utility library
ii  libxslt1.1                        1.1.24-2                 XSLT processing library - runtime library
ii  links                             2.1pre37-1.1             Web browser running in text mode
ii  linux-image-2.6-686               2.6.26+17+lenny1         Linux 2.6 image on PPro/Celeron/PII/PIII/P4
ii  linux-image-2.6.26-1-686          2.6.26-13lenny2          Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
ii  linux-image-2.6.26-2-686          2.6.26-19lenny2          Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
ii  locales                           2.7-18                   GNU C Library: National Language (locale) data [support]
ii  login                             1:4.1.1-6                system login tools
ii  logrotate                         3.7.1-5                  Log rotation utility
ii  lsb-base                          3.2-20                   Linux Standard Base 3.2 init script functionality
ii  lzma                              4.43-14                  Compression method of 7z format in 7-Zip program
ii  makedev                           2.3.1-88                 creates device files in /dev
ii  man-db                            2.5.2-4                  on-line manual pager
ii  manpages                          3.05-1                   Manual pages about using a GNU/Linux system
ii  mawk                              1.3.3-11.1               a pattern scanning and text processing language
ii  mc                                2:4.6.2~git20080311-4    midnight commander - a powerful file manager
ii  memcached                         1.2.2-1+lenny1           A high-performance memory object caching system
ii  mime-support                      3.44-1                   MIME files 'mime.types' & 'mailcap', and support programs
ii  mktemp                            1.5-9                    tool for creating temporary files
ii  module-init-tools                 3.4-1                    tools for managing Linux kernel modules
ii  mount                             2.13.1.1-1               Tools for mounting and manipulating filesystems
ii  mysql-common                      5.0.51a-24+lenny2        MySQL database common files
ii  nano                              2.0.7-4                  free Pico clone with some new features
ii  ncurses-base                      5.7+20081213-1           basic terminal type definitions
ii  ncurses-bin                       5.7+20081213-1           terminal-related programs and man pages
ii  net-tools                         1.60-22                  The NET-3 networking toolkit
ii  netbase                           4.34                     Basic TCP/IP networking system
ii  netcat-traditional                1.10-38                  TCP/IP swiss army knife
ii  openssh-blacklist                 0.4.1                    list of default blacklisted OpenSSH RSA and DSA keys
ii  openssh-blacklist-extra           0.4.1                    list of non-default blacklisted OpenSSH RSA and DSA keys
ii  openssh-client                    1:5.1p1-5                secure shell client, an rlogin/rsh/rcp replacement
ii  openssh-server                    1:5.1p1-5                secure shell server, an rshd replacement
ii  openssl                           0.9.8g-15+lenny5         Secure Socket Layer (SSL) binary and related cryptographic too
ii  openssl-blacklist                 0.4.2                    list of blacklisted OpenSSL RSA keys
ii  passwd                            1:4.1.1-6                change and administer password and group data
ii  perl                              5.10.0-19lenny2          Larry Wall's Practical Extraction and Report Language
ii  perl-base                         5.10.0-19lenny2          minimal Perl system
ii  perl-modules                      5.10.0-19lenny2          Core Perl modules
ii  php5-common                       5.2.6.dfsg.1-1+lenny4    Common files for packages built from the php5 source
ii  postgresql                        8.3.8-0lenny1            object-relational SQL database (supported version)
ii  postgresql-8.3                    8.3.8-0lenny1            object-relational SQL database, version 8.3 server
ii  postgresql-client-8.3             8.3.8-0lenny1            front-end programs for PostgreSQL 8.3
ii  postgresql-client-common          94lenny1                 manager for multiple PostgreSQL client versions
ii  postgresql-common                 94lenny1                 PostgreSQL database-cluster manager
ii  procps                            1:3.2.7-11               /proc file system utilities
ii  psmisc                            22.6-1                   Utilities that use the proc filesystem
ii  python                            2.5.2-3                  An interactive high-level object-oriented language (default ve
ii  python-central                    0.6.8                    register and build utility for Python packages
ii  python-minimal                    2.5.2-3                  A minimal subset of the Python language (default version)
ii  python2.5                         2.5.2-15                 An interactive high-level object-oriented language (version 2.
ii  python2.5-minimal                 2.5.2-15                 A minimal subset of the Python language (version 2.5)
ii  readline-common                   5.2-3.1                  GNU readline and history libraries, common files
ii  rsyslog                           3.18.6-4                 enhanced multi-threaded syslogd
ii  sed                               4.1.5-6                  The GNU sed stream editor
ii  sgml-base                         1.26                     SGML infrastructure and SGML catalog file support
ii  sogo                              1.1.0.20091218           a modern and scalable groupware
ii  sope4.9-gdl1-postgresql           4.9.r1660-20091218       PostgreSQL connector for SOPE's fork of the GNUstep database e
ii  sope4.9-libxmlsaxdriver           4.9.r1660-20091218       XML Parser for SOPE's SAX engine
ii  ssl-cert                          1.0.23                   simple debconf wrapper for OpenSSL
ii  sysv-rc                           2.86.ds1-61              System-V-like runlevel change mechanism
ii  sysvinit                          2.86.ds1-61              System-V-like init utilities
ii  sysvinit-utils                    2.86.ds1-61              System-V-like utilities
ii  tar                               1.20-1                   GNU version of the tar archiving utility
ii  tasksel                           2.78                     Tool for selecting tasks for installation on Debian systems
ii  tasksel-data                      2.78                     Official tasks used for installation of Debian systems
ii  tcpd                              7.6.q-16                 Wietse Venema's TCP wrapper utilities
ii  telnet-ssl                        0.17.24+0.1-21           The telnet client with SSL encryption support
ii  tmpreaper                         1.6.10                   cleans up files in directories based on their age
ii  traceroute                        2.0.11-2                 Traces the route taken by packets over an IPv4/IPv6 network
ii  tzdata                            2009l-0lenny1.1          time zone and daylight-saving time data
ii  ucf                               3.0016                   Update Configuration File: preserve user changes to config fil
ii  udev                              0.125-7+lenny3           /dev/ and hotplug management daemon
ii  unzip                             5.52-12                  De-archiver for .zip files
ii  update-inetd                      4.31                     inetd configuration file updater
ii  usbutils                          0.73-10                  Linux USB utilities
ii  util-linux                        2.13.1.1-1               Miscellaneous system utilities
ii  vim                               1:7.1.314-3+lenny2       Vi IMproved - enhanced vi editor
ii  vim-common                        1:7.1.314-3+lenny2       Vi IMproved - Common files
ii  vim-runtime                       1:7.1.314-3+lenny2       Vi IMproved - Runtime files
ii  vim-tiny                          1:7.1.314-3+lenny2       Vi IMproved - enhanced vi editor - compact version
ii  wget                              1.11.4-2+lenny1          retrieves files from the web
ii  whiptail                          0.52.2-11.3+lenny1       Displays user-friendly dialog boxes from shell scripts
ii  whois                             4.7.30                   an intelligent whois client
ii  x11-common                        1:7.3+20                 X Window System (X.Org) infrastructure
ii  xauth                             1:1.0.3-2                X authentication utility
ii  xml-core                          0.12                     XML infrastructure and XML catalog file support
ii  zip                               2.32-1                   Archiver for .zip files
ii  zlib1g                            1:1.2.3.3.dfsg-12        compression library - runtime
packages.txt (26,312 bytes)   

2009-12-30 02:37

 

tokul

tokul

2009-12-30 02:41

reporter   ~0000395

office:~# dpkg -l | grep sope
ii libsope-appserver4.9 4.9.r1660-20091229 SOPE application server libraries
ii libsope-core4.9 4.9.r1660-20091229 Core libraries of the SOPE application server
ii libsope-gdl1-4.9 4.9.r1660-20091229 GNUstep database libraries for SOPE
ii libsope-ldap4.9 4.9.r1660-20091229 SOPE libraries for LDAP access
ii libsope-mime4.9 4.9.r1660-20091229 SOPE libraries for MIME processing
ii libsope-xml4.9 4.9.r1660-20091229 SOPE libraries for XML processing
ii sope4.9-gdl1-postgresql 4.9.r1660-20091229 PostgreSQL connector for SOPE's fork of the GNUstep database e
ii sope4.9-libxmlsaxdriver 4.9.r1660-20091229 XML Parser for SOPE's SAX engine
office:~# dpkg -l | grep sogo
ii sogo 1.1.0.20091229 a modern and scalable groupware
office:~# dpkg -l | grep gnustep
ii gnustep-base-common 1.16.1-2lenny1 GNUstep Base library - common files
ii gnustep-base-runtime 1.16.1-2lenny1 GNUstep Base library
ii gnustep-common 2.0.6-2 Common files for the core GNUstep environment
ii gnustep-make 2.0.6-2 Basic GNUstep Makefiles
ii libgnustep-base1.16 1.16.1-2lenny1 GNUstep Base library
office:~#

See Nuotrauka-SOGo – Iceweasel.png. div 'SOGoHTMLMail-CSS-Delimiter mailer_htmlcontent' content is missing.

ludovic

ludovic

2010-02-02 17:27

administrator   ~0000529

Do you still have the issue?

tokul

tokul

2010-02-03 02:33

reporter   ~0000531

Last edited: 2010-02-03 02:44

Problem still exists on 1.2.0.20100202 nightly.

It happens only on lenny. If sogo is installed on squeeze, emails are displayed. Are you sure that you don't use some gnustep functions that are introduced or fixed in newer gnustep versions.

Edit: noticed error message in sogo logs.

2010-02-03 09:39:42.689 sogod[6361] No iconv for encoding x94000100

Message is logged when user tries to view iso-8859-13 or windows-1257 email.

ludovic

ludovic

2010-02-03 07:27

administrator   ~0000532

Perhaps libiconv is broken on your lenny installation.

It all worked fine for me using GNUstep base 1.16 and 1.19.

tokul

tokul

2010-02-03 08:22

reporter   ~0000533

Last edited: 2010-02-03 08:22

Which glibc version is used in your setup? My Lenny installation is standard one. If libiconv is broken there, then it should be broken in all Debian Lenny setups. if I convert utf-8 file to iso-8859-13 and then back to utf-8 with /usr/bin/iconv, it is converted without crashes or error notices.

Why same encoding name used for both charsets? iso-8859-13 is not same thing as windows-1257. They are similar, but not the same.

What kind of encoding name is x94000100?

ludovic

ludovic

2010-02-16 08:49

administrator   ~0000575

I'm using 2.9-6 but since this bug was opened, I updated the system (so I'm not running GNUstep 1.19 on PowerPC).

I'll likely close this issue since it worked on 1.16 and 1.19 before my system update.

I don't know what encoding x94000100 is but you might want to look at the sources of iconv to figure that out.

In the SOPE/SOGo code, the conversion from iso-8859-13 / windows-1257 is handled by iconv, not by SOGo/SOPE itself.

tokul

tokul

2010-02-17 00:37

reporter   ~0000581

Last edited: 2010-02-17 00:38

It does not work on basic lenny install. My screenshot shows that. Closing bug because you can't fix it or refuse to fix it is not correct way of solving the issue. Especially when this issue is not mirror. Emails that use windows-1257 or iso-8859-13 can't be displayed in sogo webmail on some setups.

Already found out that x94000100 is something related to utf-16. Haven't tried to recompile newer gnustep version for lenny yet.

ludovic

ludovic

2010-02-23 10:03

administrator   ~0000627

Search for BYTE_ORDER in ./UI/MailPartViewers/UIxMailPartHTMLViewer.m and toy around this.

Also, mention the byte order of your processor.

Note that I did NOT say I would close the issue, I said I would LIKELY close the issue. No need to put useless rationale on bugs like you did - it's not something we do on purpose.

ludovic

ludovic

2010-03-08 14:32

administrator   ~0000680

Any updates on this?

tokul

tokul

2010-03-09 08:55

reporter   ~0000693

sogo runs on vmware server 1.0.8 virtual host. x86 platform. little endian.


tomas@office:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 4
model name : Intel(R) Pentium(R) 4 CPU 3.06GHz
stepping : 8
cpu MHz : 3062.871
cache size : 1024 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 5
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss nx constant_tsc up pebs bts pni ds_cpl
bogomips : 6174.43
clflush size : 64
power management:

tomas@office:~$ uname -a
Linux office 2.6.26-2-686 0000001 SMP Wed Nov 4 20:45:37 UTC 2009 i686 GNU/Linux
tomas@office:~$

Issue is not related to endianess. sogo displays those emails correctly on squeeze and same hardware.

I am not C or gnustep developer. The only "toy" things I can do is to force wrong endianess or to revert your fix. I can't debug why updated code does not display email body, because I don't know how to do that.

ludovic

ludovic

2010-09-06 20:01

administrator   ~0001415

Again, any update on this? I've just tested on both PowerPC/32-bit and x86_64 with no issue at all.

tokul

tokul

2010-09-27 10:13

reporter   ~0001516

Again, any update on this? I've just tested on both PowerPC/32-bit and x86_64 with no issue at all.

It is Linux Debian Lenny and not some CentOS or RHEL or Debian Squeeze. x86 architecture, virtual host on vmware free server 1.x or 2.x. I can reproduce that problem in all my Lenny setups. If you don't have time to install Lenny, I can upload vmware disk image (sogo + dovecot imap, 430 MB in bzip2 archive or 450 MB in zip archive, virtual hardware version 7).

Problem still exists in SOGo 1.3.2 from 'deb http://inverse.ca/debian lenny lenny'.

ludovic

ludovic

2011-05-10 16:17

administrator   ~0002462

Can you, by any chance, retry with the latest version?

ludovic

ludovic

2012-03-16 15:02

administrator   ~0003591

No feedback provided in ages, closing.

Issue History

Date Modified Username Field Change
2009-12-14 03:37 tokul New Issue
2009-12-14 09:29 wsourdeau Note Added: 0000342
2009-12-14 09:49 tokul File Added: baltic.tar.gz
2009-12-14 09:53 tokul Note Added: 0000343
2009-12-14 16:29 tokul Note Added: 0000345
2009-12-14 21:19 ludovic Note Added: 0000346
2009-12-14 21:19 ludovic Status new => resolved
2009-12-14 21:19 ludovic Fixed in Version => 1.1.1
2009-12-14 21:19 ludovic Resolution open => fixed
2009-12-14 21:19 ludovic Assigned To => ludovic
2009-12-21 02:51 tokul Note Added: 0000366
2009-12-21 02:51 tokul Status resolved => feedback
2009-12-21 02:51 tokul Resolution fixed => reopened
2009-12-21 02:52 tokul Note Edited: 0000366
2009-12-23 16:23 ludovic Note Added: 0000380
2009-12-23 16:43 tokul File Added: GNUstepDefaults.txt
2009-12-23 16:43 tokul File Added: packages.txt
2009-12-30 02:37 tokul File Added: Nuotrauka-SOGo – Iceweasel.png
2009-12-30 02:41 tokul Note Added: 0000395
2010-02-02 17:27 ludovic Note Added: 0000529
2010-02-03 02:33 tokul Note Added: 0000531
2010-02-03 02:34 tokul Note Edited: 0000531
2010-02-03 02:35 tokul Note Edited: 0000531
2010-02-03 02:41 tokul Note Edited: 0000531
2010-02-03 02:43 tokul Note Edited: 0000531
2010-02-03 02:44 tokul Note Edited: 0000531
2010-02-03 07:27 ludovic Note Added: 0000532
2010-02-03 08:22 tokul Note Added: 0000533
2010-02-03 08:22 tokul Note Edited: 0000533
2010-02-15 11:43 wsourdeau Target Version => 1.2.1
2010-02-16 08:49 ludovic Note Added: 0000575
2010-02-17 00:37 tokul Note Added: 0000581
2010-02-17 00:38 tokul Note Edited: 0000581
2010-02-18 09:28 ludovic Target Version 1.2.1 =>
2010-02-23 10:03 ludovic Note Added: 0000627
2010-03-08 14:32 ludovic Note Added: 0000680
2010-03-09 08:55 tokul Note Added: 0000693
2010-09-06 20:01 ludovic Note Added: 0001415
2010-09-27 10:13 tokul Note Added: 0001516
2011-05-10 16:17 ludovic Note Added: 0002462
2012-03-16 15:02 ludovic Note Added: 0003591
2012-03-16 15:02 ludovic Status feedback => closed
2012-03-16 15:02 ludovic Resolution reopened => fixed